KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataIconStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataColorStyle → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, QPixmap icon, QPointF hotSpot=QPointF(0.5,0.5))
| __init__ (self, Marble.GeoDataIconStyle a0)
QPointF | hotSpot (self)
QPixmap | icon (self)
| pack (self, QDataStream stream)
float | scale (self)
| setHotSpot (self, QPointF hotSpot, Marble.GeoDataHotSpot.Units xunits, Marble.GeoDataHotSpot.Units yunits)
| setIcon (self, QPixmap icon)
| setIconPath (self, QString filename)
| setScale (self, float scale)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QPixmap | icon,
|  | QPointF | hotSpot=QPointF(0.5,0.5)
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataIconStyle | a0
| ) |  |  |

QPointF hotSpot | ( |  | self ) |

QPixmap icon | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

float scale | ( |  | self ) |

setHotSpot | ( | self, |
|  | QPointF | hotSpot,
|  | Marble.GeoDataHotSpot.Units | xunits,
|  | Marble.GeoDataHotSpot.Units | yunits
| ) |  |  |

setIcon | ( | self, |
|  | QPixmap | icon
| ) |  |  |

setIconPath | ( | self, |
|  | QString | filename
| ) |  |  |

setScale | ( | self, |
|  | float | scale
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |